# Uses of Class
org.apache.zookeeper.server.quorum.QuorumPeer

Packages that use QuorumPeer
Package
Description
org.apache.zookeeper.server.controller
org.apache.zookeeper.server.quorum

## Uses of QuorumPeer in org.apache.zookeeper.server.controller

Fields in org.apache.zookeeper.server.controller declared as QuorumPeer
Modifier and Type
Field
Description
`protected QuorumPeer`
ControllerService.`quorumPeer`

## Uses of QuorumPeer in org.apache.zookeeper.server.quorum

Fields in org.apache.zookeeper.server.quorum declared as QuorumPeer
Modifier and Type
Field
Description
`protected QuorumPeer`
QuorumPeerMain.`quorumPeer`
`final QuorumPeer`
QuorumZooKeeperServer.`self`
`protected final QuorumPeer`
ReadOnlyZooKeeperServer.`self`
Methods in org.apache.zookeeper.server.quorum that return QuorumPeer
Modifier and Type
Method
Description
`static QuorumPeer`
QuorumPeer.`createFromConfig(QuorumPeerConfig config)`
Create a new QuorumPeer and apply all the values per the already-parsed config.
`protected QuorumPeer`
QuorumPeerMain.`getQuorumPeer()`
`static QuorumPeer`
QuorumPeer.`testingQuorumPeer()`
Constructors in org.apache.zookeeper.server.quorum with parameters of type QuorumPeer
Modifier
Constructor
Description
``
`FastLeaderElection(QuorumPeer self, QuorumCnxManager manager)`
Constructor of FastLeaderElection.
``
`Leader(QuorumPeer self, LeaderZooKeeperServer zk)`
``
`LeaderZooKeeperServer(FileTxnSnapLog logFactory, QuorumPeer self, ZKDatabase zkDb)`
``
`LearnerZooKeeperServer(FileTxnSnapLog logFactory, int tickTime, int minSessionTimeout, int maxSessionTimeout, int listenBacklog, ZKDatabase zkDb, QuorumPeer self)`
``
`LocalPeerBean(QuorumPeer peer)`
``
`QuorumBean(QuorumPeer peer)`
``
`QuorumCnxManager(QuorumPeer self, long mySid, Map<Long, QuorumPeer.QuorumServer> view, QuorumAuthServer authServer, QuorumAuthLearner authLearner, int socketTimeout, boolean listenOnAllIPs, int quorumCnxnThreadsSize, boolean quorumSaslAuthEnabled)`
`protected`
`QuorumZooKeeperServer(FileTxnSnapLog logFactory, int tickTime, int minSessionTimeout, int maxSessionTimeout, int listenBacklog, ZKDatabase zkDb, QuorumPeer self)`
``
`RemotePeerBean(QuorumPeer localPeer, QuorumPeer.QuorumServer peer)`